import fs from 'fs';
import path from 'path';

const CACHE_FOLDER = path.join(process.cwd(), ".vitest-preview");

function createCacheFolderIfNeeded() {
  if (!fs.existsSync(CACHE_FOLDER)) {
    fs.mkdirSync(CACHE_FOLDER, {
      recursive: true
    });
  }
}

function debug() {
  createCacheFolderIfNeeded();
  fs.writeFileSync(
    path.join(CACHE_FOLDER, "index.html"),
    document.documentElement.outerHTML
  );
}

var index = {
  debug
};

export { debug, index as default };
